ProjectLibrary (Gradle API 2.14.1)
Date: 2016-07-18

Package: org.gradle.plugins.ide.idea.model

## [Java] Class ProjectLibrary

- org.gradle.plugins.ide.idea.model.ProjectLibrary

- A project-level IDEA library.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `addToNode(groovy.util.Node parentNode, PathFactory pathFactory)`
    `boolean` | `equals(Object obj)`
    `Set<File>` | `getClasses()` A set of Jar files or directories containing compiled code.
    `Set<File>` | `getCompilerClasspath()` A set of Jar files containing compiler classes.
    `Set<File>` | `getJavadoc()` A set of Jar files or directories containing javadoc.
    `String` | `getName()` The name of the library.
    `Set<File>` | `getSources()` A set of directories containing sources.
    `String` | `getType()` The type of the library.
    `int` | `hashCode()`
    `void` | `setClasses(Set<File> classes)` A set of Jar files or directories containing source code.
    `void` | `setCompilerClasspath(Set<File> compilerClasspath)`
    `void` | `setJavadoc(Set<File> javadoc)`
    `void` | `setName(String name)`
    `void` | `setSources(Set<File> sources)`
    `void` | `setType(String type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.lang.GroovyObjectSupport` | `groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Method Detail

    - #### public void addToNode(groovy.util.Node parentNode, PathFactory pathFactory)

    - #### @Override public boolean equals(Object obj)

    - #### public Set<File> getClasses()

      A set of Jar files or directories containing compiled code.

    - #### public Set<File> getCompilerClasspath()

      A set of Jar files containing compiler classes.

    - #### public Set<File> getJavadoc()

      A set of Jar files or directories containing javadoc.

    - #### public String getName()

      The name of the library.

    - #### public Set<File> getSources()

      A set of directories containing sources.

    - #### public String getType()

      The type of the library.

    - #### @Override public int hashCode()

    - #### public void setClasses(Set<File> classes)

      A set of Jar files or directories containing source code.

    - #### public void setCompilerClasspath(Set<File> compilerClasspath)

    - #### public void setJavadoc(Set<File> javadoc)

    - #### public void setName(String name)

    - #### public void setSources(Set<File> sources)

    - #### public void setType(String type)